Content-type: text/html; charset=UTF-8

# x2goruncommand

Section: X2Go Server Tool (8)
Updated: Aug 2023
Index Return to Main Contents

## NAME

x2goruncommand - Launch Command inside an X2Go Session

## SYNOPSIS

x2goruncommand <display> <agent_pid> <session_id> <command> <sound_system> <session_type>

## DESCRIPTION

x2goruncommand launches a(n X-based) command inside of a given X2Go session.

x2goruncommand is run with X2Go user privileges and normally executed by an X2Go client application.

## ARGUMENTS

<display>
  The X display number/port of the session this command is for.
<agent_pid>
  The process ID (pid) of the x2goagent instance that the given session runs in.
<session_id>
  The <session_id> is the unique identifier of the X2Go session that this command is intended for.
<command>
  Execute command <command>. Full paths will be ignored, the command has to be in the server's $PATH.

  Possible generic values for <command> are: WWWBROWSER, OFFICE, MAILCLIENT and TERMINAL.

<sound_system>
  Either of the possible sound systems supported by X2Go: pulse, esd, arts (obsolete) or none.
<session_type>
  Allowed values for <session_type> are: D (desktop) and R (rootless).

## RETURN VALUES

By x2goruncommand nothing is reported on stdout or stderr.

As exitcode x2goruncommand always returns 0.

## SEE ALSO

x2gostartagent(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-sessions(8)

## AUTHOR

This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (https://www.x2go.org).

## Index

NAME
SYNOPSIS
DESCRIPTION
ARGUMENTS
RETURN VALUES
SEE ALSO
AUTHOR

This document was created by man2html, using the manual pages.
Time: 20:34:28 GMT, January 29, 2026